gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Enum GLib.GType(typeof(Gtk.WidgetFlagsGType)) System.Flags Tells about certain properties of the .
- Field
  2.12.0.0
  Gtk.WidgetFlags Set and unset by .

  Must be set on widgets whose window the application directly draws on, in order to keep GTK# from overwriting the drawn stuff.

- Field
  2.12.0.0
  Gtk.WidgetFlags The is allowed to receive the default action via .

  The is allowed to receive the default action via .

- Field
  2.12.0.0
  Gtk.WidgetFlags Determines whether a is able to handle focus grabs.

  Determines whether a is able to handle focus grabs.

- Field
  2.12.0.0
  Gtk.WidgetFlags Indicates that the is a composite child of its parent.

  See , .

- Field
  2.12.0.0
  Gtk.WidgetFlags Set and unset by . Indicates that exposes done on the should be double-buffered.

  Indicates that exposes done on the should be double-buffered.

- Field
  2.12.0.0
  Gtk.WidgetFlags The currently is receiving the default action.

  The currently is receiving the default action.

- Field
  2.12.0.0
  Gtk.WidgetFlags Set by for widgets that also have set.

  The flag will be unset once another widget grabs the focus.

- Field
  2.12.0.0
  Gtk.WidgetFlags Set by gtk_grab_add(), unset by gtk_grab_remove().

  It means that the widget is in the grab_widgets stack, and will be the preferred one for receiving events other than ones of cosmetic value.

- Field
  2.12.0.0
  Gtk.WidgetFlags Set by , unset by .

  Only realized widgets can be mapped. It means that has been called on the widgets window(s).

- Field
  2.12.0.0
  Gtk.WidgetFlags Unused since before GTK 1.2, will be removed in a future version.
- Field
  2.12.0.0
  Gtk.WidgetFlags Whether calls to ShowAll and HideAll will effect the widget.
- Field
  2.12.0.0
  Gtk.WidgetFlags Indicative for a that does not provide its own .

  Visible action (e.g. drawing) is performed on the parent's .

- Field
  2.12.0.0
  Gtk.WidgetFlags Set and unset by operations on the parents of the .

  This is the second premise for the widgets sensitivity. Once it has and set, its state is effectively sensitive.

- Field
  2.12.0.0
  Gtk.WidgetFlags Indicates that the widgets style has been looked up through the rc mechanism.

  It does not imply that the actually had a style defined through the rc mechanism.

- Field
  2.12.0.0
  Gtk.WidgetFlags Set by , unset by .

  A realized has an associated .

- Field
  2.12.0.0
  Gtk.WidgetFlags The when focused will receive the default action and have set even if there is a different widget set as default.

  The when focused will receive the default action and have set even if there is a different widget set as default.

- Field
  2.12.0.0
  Gtk.WidgetFlags Set and unset by . The sensitivity of a determines whether it will receive certain events (e.g. button or key presses).

  One premise for the widgets sensitivity is to have this flag set.

- Field
  2.12.0.0
  Gtk.WidgetFlags Widgets without a real parent, as there are s and s have this flag set throughout their lifetime.

  Toplevel widgets always contain their own .

- Field
  2.12.0.0
  Gtk.WidgetFlags Set by , unset by . Implies that a will be mapped as soon as its parent is mapped.

  Implies that a will be mapped as soon as its parent is mapped.